...
 
Commits (3)
Due to broken dependencies, Gulp.watch is disabled in this version.
See https://bugs.debian.org/862887
......@@ -17,10 +17,11 @@ node-gulp (3.9.1-7) unstable; urgency=medium
* Add desc in patches
* Remove upstream .gitignore
* Use pkg-js-tools for tests
* Skip 2 more tests. Stream features are clearly broken but seem not used in
Debian... (Closes: #894962)
* Skip 2 more tests. auto-rebuuild features are clearly broken but seem not
used in other Debian builds... (Closes: #894962)
* Add patch and README.Debian to explain this break (see #862887)
-- Xavier Guimard <yadd@debian.org> Wed, 13 Feb 2019 14:30:44 +0100
-- Xavier Guimard <yadd@debian.org> Wed, 13 Feb 2019 20:44:05 +0100
node-gulp (3.9.1-6) unstable; urgency=medium
......
......@@ -29,7 +29,7 @@ Build-Depends: debhelper (>= 11~),
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/js-team/node-gulp
Vcs-Git: https://salsa.debian.org/js-team/node-gulp.git
Homepage: http://gulpjs.com
Homepage: https://gulpjs.com
Package: gulp
Architecture: all
......
......@@ -43,4 +43,4 @@ License: public-domain
All the documentation is covered by the CC0 license *(do whatever you want
with it - public domain)*
.
http://creativecommons.org/publicdomain/zero/1.0/
https://creativecommons.org/publicdomain/zero/1.0/
Description: Explain failure
Due to vinyl-fs version, watch() function isn't available.
Author: Xavier Guimard <yadd@debian.org>
Bug-Debian: https://bugs.debian.org/862887
Forwarded: not-needed
Last-Update: 2019-02-13
--- a/index.js
+++ b/index.js
@@ -33,6 +33,9 @@
fn = opt;
opt = null;
}
+ if(!vfs.watch) {
+ throw Error("Gulp.watch is disabled in this version of gulp. See /usr/share/doc/gulp/README.Debian");
+ }
// Array of tasks given
if (Array.isArray(fn)) {
no-force-local-gulp.patch
fix-failing-tests.patch
skip-failing-tests.patch
explain-failure.diff